
class MaintenanceLastEntity {

  String workDate;
  String type;
  String periods;
  String typeName;
  String projectName;
  String devicePosition;

	MaintenanceLastEntity({this.workDate="",this.type="",this.typeName = "",this.projectName="",this.devicePosition=""});

	MaintenanceLastEntity.fromJsonMap(Map<String, dynamic> map): 
		workDate = map["workDate"]??"无",
		type = map["type"],
		periods = map["periods"]??"",
		typeName  = map["type"]=="1"?"半月":map["type"]=="2"?"季度":map["type"]=="3"?"半年":map["type"]=="4"?"全年":"无",
		projectName = map["projectName"],
		devicePosition = map["devicePosition"];

	Map<String, dynamic> toJson() {
		final Map<String, dynamic> data = new Map<String, dynamic>();
		data['workDate'] = workDate;
		data['type'] = type;
		data['projectName'] = projectName;
		data['devicePosition'] = devicePosition;
		return data;
	}
}
